uses
    testlib, SysUtils;

var
    ja, pa: string;

function compress(s: string): string;
begin
    if (length(s) < 50) then begin
        compress := s
    end else begin
        compress := copy(s, 1, 20) + '...' + copy(s, length(s) - 19, 20) + ' (' + inttostr(length(s)) + ' characters)';
    end;
end;

begin 
    pa := ouf.readString;
    ja := ans.readString;

    if (ja <> pa) then begin
        quit(_wa, format('"%s" expected, "%s" found', [compress(ja), compress(pa)]));
    end;
    quit(_ok, compress(ja));
end.
